import { getChannelList, setChannelList, addChannelList,getProductList } from '../../api/channel';

const channel = {
  state: {
    channeList: {},
    productList:[]
  },
  mutations: {
    GET_CHANNEL_LIST: (state, data) => {
      // data.list.unshift({title:'全部',code:''})
      state.channeList = data
    },
    GET_PRODUCT_LIST: (state,data) =>{
      state.productList = data
    },

  },
  actions: {
    getChannelList({dispatch, commit }, data) {
      return new Promise((resolve, reject) => {
        getChannelList(data).then(res => {
          if(res.code == 200) {
            console.log(res.data)
            resolve(res.data);
            commit('GET_CHANNEL_LIST', res.data)
          }
        }).catch(error => {
          reject(error);
        })
      })
    },
    setChannelList({dispatch, commit }, from) {
      return new Promise((resolve, reject) => {
        setChannelList(from).then(res => {
          if(res.code == 200) {
            resolve(res.data);
            // commit('GET_CHANNEL_LIST', res.data)
            dispatch('getChannelList')
          }
        }).catch(error => {
          reject(error);
        })
      })
    },
    addChannelList({dispatch, commit }, from) {
      return new Promise((resolve, reject) => {
        addChannelList(from).then(res => {
          if(res.code == 200) {
            resolve(res.data);
            // commit('GET_CHANNEL_LIST', res.data)
            dispatch('getChannelList')
          }
        }).catch(error => {
          reject(error);
        })
      })
    },
    getProductList({dispatch, commit }, data) {
      return new Promise((resolve, reject) => {
        getProductList(data).then(res => {
          if(res.code == 200) {
            console.log(111,res.data)
            resolve(res.data);
            commit('GET_PRODUCT_LIST', res.data)
          }
        }).catch(error => {
          reject(error);
        })
      })
    },
    clearProductList({dispatch, commit }) {
      return commit('GET_PRODUCT_LIST', [])
    }
  }
}

export default channel
