import request from '../utils/request'

// 获取渠道下课程列表
export function getRelationList (params) {
  return request({
    url: '/channelCourseRelation',
    method: 'get',
    params
  })
}
// 增加渠道下课程
export function addRelationList (data) {
  return request({
    url: '/channelCourseRelation',
    method: 'post',
    data
  })
}

// 删除渠道下课程
export function removeRelationList (data) {
  return request({
    url: '/channelCourseRelation',
    method: 'delete',
    data
  })
}
