import { getOrderList } from '../../api/order'

const order = {
  state: {
    orderList: []
  },
  mutations: {
    GET_ORDER_LIST: (state, data) => {
      state.orderList = data
    }
  },
  actions: {
    getOrderList({dispatch, commit }, data) {
      return new Promise((resolve, reject) => {
        getOrderList(data).then(res => {
          console.log(res.data)
          if(res.code == 200) {
            resolve(res.data);
            commit('GET_ORDER_LIST', res.data)
          }
        }).catch(error => {
          reject(error);
        })
      })
    }
  }
}

export default order
